
public class P3Strings {
	public static void main(String[] args) {
		String r = "algoritmo";
		String w = "ritmoalgo";

		System.out.println(esRotacionCircular(r, w));
		System.out.println(esPalindrome("anilina"));
		System.out.println(esOracionPalindrome("anita lava la tina"));
	}

	/**
	 * version corta y haxxor, la version mas larga es recorer todas las rotaciones
	 * posibles de r y comprobar si alguna es igual a w.
	 */
	static boolean esRotacionCircular(String r, String w) {
		return r.length() == w.length() && (r + r).contains(w);
	}

	static boolean esPalindrome(String palabra) {
		int largo = palabra.length();

		for (int i = 0; i < largo / 2; i++) {
			// comparar cada letra con su opuesto en la palabra, si son distintas no es
			// palindromo
			if (palabra.charAt(i) == palabra.charAt(largo - 1 - i)) {
				return false;
			}
		}

		return true;
	}

	static boolean esOracionPalindrome(String oracion) {
		// quitarle todos los espacios a la oracion
		String oracionSinEspacios = oracion.replaceAll(" ", "");
		// chequear si es palindrome
		return esPalindrome(oracionSinEspacios);
	}

	/**
	 * chequea si un string tiene todos los caracteres (la  no existe).
	 */
	static boolean esStringCompleto(String s) {
		// arr[0] es 'a', arr[25] es 'z', se marca con true si es que esta en el string
		boolean[] arr = new boolean[26];

		// recorrer todo el string
		for (int i = 0; i < s.length(); i++) {
			char c = s.charAt(i);

			// chequear que sea una letra entre a y z
			if ('a' <= c && c <= 'z') {
				// para marcar en el arreglo hay que "desplazar" las letras para que la 'a' sea el 0.
				arr[c - 'a'] = true;
			}
		}

		// contar todos los true
		int cont = 0;
		for (int i = 0; i < 26; i++) {
			if (arr[i])
				cont++;
		}

		// si son 26 entonces el string es completo
		return cont == 26;
	}
}
